Package org.eclipse.jgit.transport

## Class CredentialItem.Password

- java.lang.Object
- - org.eclipse.jgit.transport.CredentialItem
  - - org.eclipse.jgit.transport.CredentialItem.CharArrayType
    - - org.eclipse.jgit.transport.CredentialItem.Password

Enclosing class:
  CredentialItem

    public static class CredentialItem.Password
    extends CredentialItem.CharArrayType

Prompt for a password, which is masked on input.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.transport.CredentialItem

`CredentialItem.CharArrayType, CredentialItem.InformationalMessage, CredentialItem.Password, CredentialItem.StringType, CredentialItem.Username, CredentialItem.YesNoType`

### Constructor Summary

Constructors
`Password()` Initialize a new password item, with a default password prompt.
`Password​(String msg)` Initialize a new password item, with given prompt.

### Method Summary

### Methods inherited from class org.eclipse.jgit.transport.CredentialItem.CharArrayType

`clear, getValue, setValue, setValueNoCopy`

### Methods inherited from class org.eclipse.jgit.transport.CredentialItem

`getPromptText, isValueSecure`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Password

    public Password()

Initialize a new password item, with a default password prompt.

#### Password

    public Password​(String msg)

Initialize a new password item, with given prompt.

Parameters:
  `msg` - prompt message